import 'chat_error.dart';

class ChatDownloadCallback {
  final void Function(String fileId, String path)? onSuccess;
  final void Function(String fileId, ChatError error)? onError;
  final void Function(String fileId, int progress)? onProgress;

  ChatDownloadCallback({
    this.onSuccess,
    this.onError,
    this.onProgress,
  });
}
