class ChatGroupInfo {
  final String groupId;
  final String? name;

  ChatGroupInfo._private({
    required this.groupId,
    required this.name,
  });

  factory ChatGroupInfo.fromJson(Map map) {
    String groupId = map["groupId"];
    String? groupName = map["name"];
    return ChatGroupInfo._private(
      groupId: groupId,
      name: groupName,
    );
  }
}
